Index: rtemsbsd/include/machine/rtems-bsd-kernel-namespace.h
===================================================================
--- rtemsbsd/include/machine/rtems-bsd-kernel-namespace.h	(revision d4bf70e49758a0959eecbfc50ec73afc7531adf5)
+++ rtemsbsd/include/machine/rtems-bsd-kernel-namespace.h	(revision e0b4edbdcc3558d3f38af8398f995c2e9f019f07)
@@ -564,4 +564,5 @@
 #define	config_intrhook_disestablish _bsd_config_intrhook_disestablish
 #define	config_intrhook_establish _bsd_config_intrhook_establish
+#define	config_intrhook_oneshot _bsd_config_intrhook_oneshot
 #define	copyiniov _bsd_copyiniov
 #define	counter_ratecheck _bsd_counter_ratecheck
@@ -1163,4 +1164,5 @@
 #define	evdev_register_mtx _bsd_evdev_register_mtx
 #define	evdev_release_client _bsd_evdev_release_client
+#define	evdev_restore_after_kdb _bsd_evdev_restore_after_kdb
 #define	evdev_revoke_client _bsd_evdev_revoke_client
 #define	evdev_scancode2key _bsd_evdev_scancode2key
@@ -1314,5 +1316,7 @@
 #define	gre_input _bsd_gre_input
 #define	gre_updatehdr _bsd_gre_updatehdr
+#define	grouptask_block _bsd_grouptask_block
 #define	grouptaskqueue_enqueue _bsd_grouptaskqueue_enqueue
+#define	grouptask_unblock _bsd_grouptask_unblock
 #define	gtaskqueue_block _bsd_gtaskqueue_block
 #define	gtaskqueue_cancel _bsd_gtaskqueue_cancel
@@ -1881,4 +1885,5 @@
 #define	ifg_head _bsd_ifg_head
 #define	if_handoff _bsd_if_handoff
+#define	ifhwioctl _bsd_ifhwioctl
 #define	if_hw_tsomax_common _bsd_if_hw_tsomax_common
 #define	if_hw_tsomax_update _bsd_if_hw_tsomax_update
@@ -2229,4 +2234,6 @@
 #define	ip6_encap_attach _bsd_ip6_encap_attach
 #define	ip6_encap_detach _bsd_ip6_encap_detach
+#define	ip6_encap_register_srcaddr _bsd_ip6_encap_register_srcaddr
+#define	ip6_encap_unregister_srcaddr _bsd_ip6_encap_unregister_srcaddr
 #define	ip6_esp_net_deflev _bsd_ip6_esp_net_deflev
 #define	ip6_esp_trans_deflev _bsd_ip6_esp_trans_deflev
@@ -2313,4 +2320,6 @@
 #define	ip_encap_attach _bsd_ip_encap_attach
 #define	ip_encap_detach _bsd_ip_encap_detach
+#define	ip_encap_register_srcaddr _bsd_ip_encap_register_srcaddr
+#define	ip_encap_unregister_srcaddr _bsd_ip_encap_unregister_srcaddr
 #define	ip_fillid _bsd_ip_fillid
 #define	ip_forward _bsd_ip_forward
@@ -2468,4 +2477,5 @@
 #define	key_bumpspgen _bsd_key_bumpspgen
 #define	key_debug_level _bsd_key_debug_level
+#define	key_delete_xform _bsd_key_delete_xform
 #define	keydomain _bsd_keydomain
 #define	key_freereg _bsd_key_freereg
@@ -3200,4 +3210,6 @@
 #define	pf_free_src_nodes _bsd_pf_free_src_nodes
 #define	pf_free_state _bsd_pf_free_state
+#define	pf_frent_previous _bsd_pf_frent_previous
+#define	pf_frent_remove _bsd_pf_frent_remove
 #define	pf_get_mtag _bsd_pf_get_mtag
 #define	pf_get_ruleset_number _bsd_pf_get_ruleset_number
@@ -3362,4 +3374,5 @@
 #define	pfsync_defer_ptr _bsd_pfsync_defer_ptr
 #define	pfsync_delete_state_ptr _bsd_pfsync_delete_state_ptr
+#define	pfsync_detach_ifnet_ptr _bsd_pfsync_detach_ifnet_ptr
 #define	pfsync_insert_state_ptr _bsd_pfsync_insert_state_ptr
 #define	pfsync_state_export _bsd_pfsync_state_export
@@ -4372,5 +4385,4 @@
 #define	sctp_v6src_match_nexthop _bsd_sctp_v6src_match_nexthop
 #define	sctp_validate_init_auth_params _bsd_sctp_validate_init_auth_params
-#define	sctp_verify_hmac _bsd_sctp_verify_hmac
 #define	sctp_verify_hmac_param _bsd_sctp_verify_hmac_param
 #define	sctp_wakeup_iterator _bsd_sctp_wakeup_iterator
@@ -4691,4 +4703,5 @@
 #define	sysctl___kern_ipc _bsd_sysctl___kern_ipc
 #define	sysctl_move_oid _bsd_sysctl_move_oid
+#define	sysctl_msec_to_sbintime _bsd_sysctl_msec_to_sbintime
 #define	sysctl_msec_to_ticks _bsd_sysctl_msec_to_ticks
 #define	sysctl___net _bsd_sysctl___net
@@ -5004,4 +5017,5 @@
 #define	ttyoutq_write_nofrag _bsd_ttyoutq_write_nofrag
 #define	tty_putchar _bsd_tty_putchar
+#define	tty_putstrn _bsd_tty_putstrn
 #define	tty_rel_gone _bsd_tty_rel_gone
 #define	tty_rel_pgrp _bsd_tty_rel_pgrp
@@ -5427,4 +5441,5 @@
 #define	xform_attach _bsd_xform_attach
 #define	xform_detach _bsd_xform_detach
+#define	xform_init _bsd_xform_init
 #define	X_ip6_mforward _bsd_X_ip6_mforward
 #define	X_ip6_mrouter_done _bsd_X_ip6_mrouter_done
